#include <iostream>
#include <cstdlib>

using namespace std;

const int MNMAX=100, MMAX=100, GAP=30;
int n, k, r;

//аргументы: число залов, число заявок, значение для srand()
//результат: случайный тест
int main(int, char* argv[]) {
  n = atoi(argv[1]);
  k = atoi(argv[2]);
  r = atoi(argv[3]);
  srand(r);
  cout << n << " " << k << endl;
  for (int i=0; i<k; i++) {
    int t1=rand() % (23*60+59);
    int rest = 23*60+59 - t1;
    int t2 = t1 + rand() % rest + 1;
    printf("%02d:%02d-%02d:%02d\n", t1/60, t1%60, t2/60, t2%60);
  }
  return 0;
}
